@import '../../public/styles/components/variables.scss';
@import '../../public/styles//mixins.scss';

.searchbar {
  display: flex;

  &__input.MuiFormControl-root {
    @include tablet {
      margin-right: 20px;
    }
  }

  &__label {
    @include mobile {
      margin: 0 15px;
    }
  }

  &__input {
    width: 400px;
    @include mobile {
      margin-bottom: 10px !important;
      width: 100%;
    }

    svg {
      color: $color-gray;
    }

    .MuiOutlinedInput-root:hover:not(.Mui-focused) .MuiOutlinedInput-notchedOutline {
      border-color: $color-dark-gallery;
    }
  }

  &__button {
    width: 150px;

    @include mobile {
      width: 100%;
    }
  }
}
